//************************************************************************
// T6963.H
#include <avr/io.h>
#include <avr/pgmspace.h>

//PORTA ist der Datenport
#define DATA_DIR_IN()  DDRA =0x00;
#define DATA_DIR_OUT() DDRA =0xFF;
#define LCD_READ   PINA	  					// read PINC, ! NOT ! PORTC
#define LCD_WRITE  PORTA						//PORTB=(a); // write to data port

#define LCD_WR		3								// LCD_WRITE
#define LCD_RD		4								// LCD_READ
#define LCD_CE		5								// LCD_CS
#define LCD_CD		6								// LCD_COMMAND/DATA
#define LCD_RST		7								// LCD_RESET
#define KEY_CS		2								// Tastenport

#define LCD_CTRL	PORTC							// Steuerport LCD

#define LCD_WR_H()   	LCD_CTRL |=  _BV(LCD_WR)	// = 1
#define LCD_WR_L()    	LCD_CTRL &= ~_BV(LCD_WR)	// = 0
#define LCD_RD_H()   	LCD_CTRL |=  _BV(LCD_RD)
#define LCD_RD_L()    	LCD_CTRL &= ~_BV(LCD_RD)
#define LCD_CE_H()   	LCD_CTRL |=  _BV(LCD_CE)
#define LCD_CE_L()    	LCD_CTRL &= ~_BV(LCD_CE)
#define LCD_CD_H()   	LCD_CTRL |=  _BV(LCD_CD)
#define LCD_CD_L()    	LCD_CTRL &= ~_BV(LCD_CD)
#define LCD_RST_H()   	LCD_CTRL |=  _BV(LCD_RST)
#define LCD_RST_L()    	LCD_CTRL &= ~_BV(LCD_RST)

#define KEY_CS_H()   	LCD_CTRL |=  _BV(KEY_CS)	//Tastenport
#define KEY_CS_L()    	LCD_CTRL &= ~_BV(KEY_CS)
#define KEY_READ   		PINA	

#define lcd_puts_P(__s)         lcd_puts_p(PSTR(__s))
#define XMAX	127
#define XMIN	0
#define YMAX	63
#define	YMIN	0
#define G_BASE	0x200
#define BYTES_PER_ROW	21
//Zeile 1 = 00-15
//	    2 = 16

void lcd_status(void);
void lcd_status_am(void);
void lcd_send_cmd(void);
void lcd_send_data(void);
void lcd_send_data_am(void);
void lcd_printp(const char *progmem_s, char adress_h, char adress_l);
void lcd_print(char *txt, char adress_h, char adress_l);
void lcd_send_str(unsigned char);
void lcd_clear_ram(void);
char * IntToAsciiHex(char * dest_string,int min_digits,unsigned int value);
char * IntToAsciiDec(char * dest_string,int min_digits,unsigned int value);
void lcd_goto_xy(unsigned char adress_h, unsigned char adress_l);
void lcd_init(void);
void lcd_printg(const char *progmem_s, char adress_h, char adress_l);
void lcd_send_strg(unsigned char lcd_dat);
void set_pixel(int column, int row);

